Skip to main content
GET
/
v2
/
agents
/
{agent_id}
/
revisions
List Agent Revisions
curl --request GET \
  --url https://api.duvo.ai/v2/agents/{agent_id}/revisions \
  --header 'Authorization: Bearer <token>'
{
  "builds": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "copilot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "config": {
        "data": {
          "model": "<string>",
          "tools": "<unknown>",
          "input": "<string>",
          "files": [],
          "skills": [],
          "temperature": 1,
          "max_output_tokens": 1,
          "top_p": 0.5,
          "store": true,
          "text": {
            "format": {}
          }
        }
      },
      "status": "<string>",
      "revision_number": 123,
      "parent_build_id": "<string>",
      "created_by": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "revision_name": "<string>",
      "revision_description": "<string>",
      "created_by_name": "<string>",
      "schedules": [
        {
          "id": "<string>",
          "build_id": "<string>",
          "agent_id": "<string>",
          "user_id": "<string>",
          "enabled": true,
          "time": "<string>",
          "timezone": "<string>",
          "day": "<string>",
          "day_of_month": 123,
          "cron": "<string>",
          "source": "<string>",
          "task": "<string>",
          "recurring": true,
          "created_at": "<string>",
          "updated_at": "<string>",
          "user_name": "<string>",
          "user_email": "<string>"
        }
      ]
    }
  ],
  "total": 0,
  "limit": 0,
  "offset": 0
}

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

agent_id
string<uuid>
required

The agent's unique identifier

Query Parameters

limit
integer
default:20

Number of revisions per page (1-100, default 20)

Required range: 1 <= x <= 100
offset
integer

Number of revisions to skip

Required range: 0 <= x <= 9007199254740991

Response

Default Response

builds
object[]
required
total
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
limit
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
offset
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991